SystemOrganization addCategory: #'TP1-TADP-2013-1c-G6'!

Trait named: #TComputadora
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TComputadora commentStamp: '<historical>' prior: 0!
A TComputadora is xxxxxxxxx.
!

!TComputadora classSide methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 00:13'!
nueva
"Hacemos una Computadora Nueva con su Set instanciado"
	 | nuevaComputadora |
	
	nuevaComputadora := self new.
	nuevaComputadora partes: Set new.
	^nuevaComputadora! !

!TComputadora methodsFor: 'metodos' stamp: 'aye 4/16/2013 23:12'!
dameConsumo
^self partes inject: 0 into: [:acum :unaParte | acum + unaParte dameConsumo]! !

!TComputadora methodsFor: 'metodos' stamp: 'Gonzalo 4/19/2013 02:16'!
esAptaParaJugar
^self partes allSatisfy: [:unaParte | unaParte esAptaParaJugar]! !

Trait named: #TConexion
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConexion commentStamp: '<historical>' prior: 0!
A TConexion is xxxxxxxxx.
!

!TConexion methodsFor: 'trait requirements' stamp: 'Gonzalo 4/18/2013 23:57'!
definicion
 self requirement! !

!TConexion methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 02:19'!
esAptaParaJugar
	^self esAptaParaJugarCon: self entrada.! !

!TConexion methodsFor: 'trait requirements' stamp: 'Gonzalo 4/19/2013 02:14'!
esAptaParaJugarCon: unaEntrada 
	^(self tasaRefresco min: unaEntrada dameTasaRefresco ) >= 100.! !

!TConexion methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:31'!
mePuedoConectarCon: unaEntrada
	^ self definicion >= unaEntrada definicion.! !

!TConexion methodsFor: 'trait requirements' stamp: 'Gonzalo 4/18/2013 23:58'!
tasaRefresco
 self requirement! !

Trait named: #TConsumoAleatorio
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoAleatorio commentStamp: '<historical>' prior: 0!
A TConsumoAleatorio is xxxxxxxxx.
!

!TConsumoAleatorio methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/16/2013 02:34'!
dameConsumoCon: unaPantalla
^self wattsPorHora * unaPantalla dameDefinicionMax.! !

!TConsumoAleatorio methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/16/2013 02:25'!
wattsPorHora
self requirement
! !

Trait named: #TConsumoCoolers
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoCoolers commentStamp: '<historical>' prior: 0!
A TConsumoCoolers is xxxxxxxxx.
!

!TConsumoCoolers methodsFor: 'self requirement' stamp: 'Gonzalo 4/19/2013 01:20'!
cantCoolers 
self requeriment.! !

!TConsumoCoolers methodsFor: 'methods' stamp: 'aye 4/16/2013 23:52'!
dameConsumoCoolers
^self cantCoolers * 0.5 ! !

Trait named: #TConsumoPantalla
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoPantalla commentStamp: '<historical>' prior: 0!
A TConsumo is xxxxxxxxx.
!

!TConsumoPantalla methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:48'!
dameConsumo
^self dameConsumoConUnaEntrada: self entrada.! !

!TConsumoPantalla methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:26'!
dameConsumoConUnaEntrada: unaEntrada
	"obtiene el consumo con una Entrada "
	^(self dameConsumoPropio) +  (unaEntrada dameConsumoCon:  self).! !

!TConsumoPantalla methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:12'!
dameConsumoPropio
	"comment stating purpose of message"
	^(self tamanio * self wattsPorHora).! !

!TConsumoPantalla methodsFor: 'trait requirements' stamp: 'Gonzalo 4/19/2013 01:49'!
tamanio
self requirement.! !

!TConsumoPantalla methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:55'!
wattsPorHora
	 ^ self requirement! !

Trait named: #TConsumoPlacaClasica
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoPlacaClasica commentStamp: '<historical>' prior: 0!
A TConsumoPlacaClasica is xxxxxxxxx.
!

!TConsumoPlacaClasica methodsFor: 'metodosPropios' stamp: 'aye 4/16/2013 23:44'!
dameConsumo
^self wattPorHora + self dameConsumoCoolers.! !

!TConsumoPlacaClasica methodsFor: 'metodosPropios' stamp: 'aye 4/16/2013 23:47'!
dameConsumoCoolers
! !

!TConsumoPlacaClasica methodsFor: 'selfRequirements' stamp: 'aye 4/16/2013 23:46'!
wattPorHora self requiment! !

Trait named: #TConsumoPlacaModerna
	uses: TConsumoAleatorio
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoPlacaModerna commentStamp: '<historical>' prior: 0!
A TConsumoPlacaModerna is xxxxxxxxx.
!

TConsumoPlacaModerna classTrait
	uses: TConsumoAleatorio classTrait!

!TConsumoPlacaModerna methodsFor: 'methods' stamp: 'aye 4/17/2013 00:21'!
dameConsumo
	^self dameConsumoCon: self pantalla + self dameConsumoCoolers! !

!TConsumoPlacaModerna methodsFor: 'selfRequirements' stamp: 'Gonzalo 4/19/2013 01:34'!
dameConsumoCoolers 
self requirement.! !

!TConsumoPlacaModerna methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:34'!
wattsPorHora
self requirement.
! !

Trait named: #TConsumoPorcentual
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoPorcentual commentStamp: '<historical>' prior: 0!
A TConsumoPorcentual is xxxxxxxxx.
!

!TConsumoPorcentual methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/16/2013 02:30'!
dameConsumoCon: unaPantalla
^self porcentaje * unaPantalla dameConsumoPropio / 100.! !

!TConsumoPorcentual methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/16/2013 02:31'!
porcentaje
self requirement! !

Trait named: #TConsumoRigido
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoRigido commentStamp: '<historical>' prior: 0!
A TConsumoRigido is xxxxxxxxx.
!

!TConsumoRigido classSide methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 00:10'!
nuevo

"Hacemos una Computadora Nueva con su Set instanciado"
	 | discoNuevo |
	
	discoNuevo := self new.
	discoNuevo wattPorHora:  0.006.
	^discoNuevo! !

!TConsumoRigido methodsFor: 'methods' stamp: 'aye 4/17/2013 00:36'!
dameConsumo
^ self esMagnetico ifTrue: [self rpm * self wattPorHora/ self wattPorHora]
     ifFalse: [self wattPorHora]! !

!TConsumoRigido methodsFor: 'self requirement' stamp: 'Gonzalo 4/19/2013 00:12'!
esMagnetico 
self requeriment ! !

!TConsumoRigido methodsFor: 'self requirement' stamp: 'Gonzalo 4/19/2013 00:12'!
rpm 
self requeriment ! !

!TConsumoRigido methodsFor: 'self requirement' stamp: 'Gonzalo 4/19/2013 00:12'!
wattPorHora 
self requeriment ! !

Trait named: #TDefinicionAnalogica
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TDefinicionAnalogica commentStamp: '<historical>' prior: 0!
A TDefinicionAnalogica is xxxxxxxxx.
!

!TDefinicionAnalogica methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:37'!
dameDefinicionMax 
^480! !

Trait named: #TDefinicionDigital
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TDefinicionDigital commentStamp: '<historical>' prior: 0!
A TDefinicionDigital is xxxxxxxxx.
!

!TDefinicionDigital methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:21'!
dameDefinicionMax 
	""
	^self ppp * ( self tamanio squared / 2 ) sqrt.! !

!TDefinicionDigital methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:49'!
ppp
	 ^ self requirement! !

!TDefinicionDigital methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:49'!
tamanio
	 ^ self requirement! !

Trait named: #TEntradaInicializador
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TEntradaInicializador commentStamp: '<historical>' prior: 0!
A TEntradaInicializador is xxxxxxxxx.
!

!TEntradaInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:48'!
definicionInicial
 ^480.! !

!TEntradaInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:16'!
initialize
self initializePorcentaje.
self initializeTasaRefresco.
self definicion: self definicionInicial.! !

!TEntradaInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:52'!
initializePorcentaje
self porcentaje: self porcentajeInicial.! !

!TEntradaInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:39'!
porcentajeInicial
self requeriment! !

Trait named: #TPlacaClasica
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TPlacaClasica commentStamp: '<historical>' prior: 0!
A TPlacaClasica is xxxxxxxxx.
!

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'Gonzalo 4/19/2013 01:14'!
dameConsumo 
self requeriment.! !

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'Gonzalo 4/19/2013 01:13'!
dameConsumoCoolers
 self requirement.
! !

!TPlacaClasica methodsFor: 'metodosPropios' stamp: 'aye 4/17/2013 00:02'!
esAptaParaJugar
^ self esOnBoard not and:  (self pantalla) / self dameConsumo > 4! !

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'Gonzalo 4/19/2013 01:13'!
esOnBoard 
self requeriment.! !

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'Gonzalo 4/19/2013 01:27'!
pantalla 
self requeriment.! !

Trait named: #TSiemprePuedeJugar
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TSiemprePuedeJugar commentStamp: '<historical>' prior: 0!
A TSiemprePuedeJugar is xxxxxxxxx.
!

!TSiemprePuedeJugar methodsFor: 'methods' stamp: 'aye 4/17/2013 00:27'!
esAptaParaJugar
^true! !

Trait named: #TTasaRefresco
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TTasaRefresco commentStamp: '<historical>' prior: 0!
A TTasaRefresco is xxxxxxxxx.
!

!TTasaRefresco methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:57'!
dameTasaRefresco
^self tasaRefresco! !

!TTasaRefresco methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/18/2013 04:56'!
tasaRefresco
	self requirement! !

Trait named: #TTasaRefrescoInicializador
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TTasaRefrescoInicializador commentStamp: '<historical>' prior: 0!
A TTasaRefrescoInicializador is xxxxxxxxx.
!

!TTasaRefrescoInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:11'!
initializeTasaRefresco
self tasaRefresco: self tasaRefrescoInicial.! !

!TTasaRefrescoInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:13'!
tasaRefrescoInicial
^50.! !

TestCase subclass: #ComputadoraTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!ComputadoraTest methodsFor: 'consumos' stamp: 'Gonzalo 4/19/2013 02:30'!
testDameConsumo
	|dell disco placa pant  entry |
	
	dell := Computadora nueva.
	
	"Armamos Disco Rigido"
	disco := DiscoRigido nuevo.
	disco rpm: 9000.
	disco esMagnetico: true.
	
	dell partes add:  disco.
	
	"Armamos la Placa"
	placa := Moderna new.
	placa definicion: 400.
	placa wattsPorHora: 500.
	placa cantCoolers: 5.
	
	dell partes add: placa.
	
	pant := LCD new.
	pant tamanio: 1.
	pant wattsPorHora:  15.
	pant tasaRefresco: 101.
	
	entry  :=  VGA new definicion: 1.
	pant entrada: entry.
	
	
	placa pantalla: pant.
	
	dell partes add: pant.
	
	self assert: dell esAptaParaJugar  = true.
	
	
	
	
	! !

!ComputadoraTest methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 02:47'!
testEsAptaParaJugarCon

|pant  entry|	
		
	pant := CRT new.
	pant tamanio: 10.
	pant wattsPorHora:  15.
	pant tasaRefresco: 101.
	
	entry := VGA new definicion: 180.

	self assert: (pant esAptaParaJugarCon: entry) equals: true.
	! !

!ComputadoraTest methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 02:44'!
testEsAptaParaJugarVideojuegos

	|dell disco placa pant  entry|	
	dell := Computadora nueva.
	
	"Armamos Disco Rigido"
	disco := DiscoRigido nuevo.
	disco rpm: 9000.
	disco esMagnetico: true.
	
	dell partes add:  disco.
	
	"Armamos la Placa"
	placa := Moderna new.
	placa definicion: 400.
	placa wattsPorHora: 500.
	placa cantCoolers: 5.
	
	
	
	pant := CRT new.
	pant tamanio: 10.
	pant wattsPorHora:  15.
	pant tasaRefresco: 101.
	
	entry := VGA new definicion: 180.
	pant entrada: entry.
	
	placa pantalla: pant.
	
	dell partes add: pant.
	dell partes add: placa.
	
	self assert: dell esAptaParaJugar equals: true.
	
	
	


	

! !

TestCase subclass: #TestPunto1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!TestPunto1 methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:29'!
testearPunto1
	"genera una pantalla, una entrada y hace el test"

	| unaPantalla unaEntrada |
	unaPantalla := LCD damePantallaComoMonitor: 100 deTamanio: 17.
	unaEntrada := VGA new.
	unaEntrada definicion: 720.
	self assert: (unaPantalla dameConsumoConUnaEntrada: unaEntrada) =  69.20208152801713.! !

TestCase subclass: #TestPunto2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!TestPunto2 methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:47'!
testearDefinicionMaxima
	"genera una pantalla y hace el test"

	| unaPantalla  |
	unaPantalla := LED damePantallaComoMonitor: 100 deTamanio: 17.
	self assert: (unaPantalla dameDefinicionMax ) =   1202.0815280171307.
	unaPantalla  := CRT damePantallaComoTV: 200 deTamanio: 25.
	self assert: (unaPantalla dameDefinicionMax ) =  480.! !

!TestPunto2 methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:37'!
testearPunto2
	"genera una pantalla, una entrada y hace el test"

	| unaPantalla unaEntrada |
	unaPantalla := LCD damePantallaComoMonitor: 100 deTamanio: 17.
	unaEntrada := VGA new.
	unaEntrada definicion: 720.
	self assert: (unaPantalla dameConsumoConUnaEntrada: unaEntrada) =  69.20208152801713.! !

Object subclass: #Computadora
	uses: TComputadora
	instanceVariableNames: 'partes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

Computadora class
	uses: TComputadora classTrait
	instanceVariableNames: ''!

!Computadora methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 00:32'!
partes
^partes.! !

!Computadora methodsFor: 'metodos' stamp: 'aye 4/16/2013 23:04'!
partes: unConjuntoDePartes
	self.partes := unConjuntoDePartes.

! !

Object subclass: #DiscoRigido
	uses: TSiemprePuedeJugar + TConsumoRigido
	instanceVariableNames: 'wattPorHora rpm esMagnetico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!DiscoRigido commentStamp: '<historical>' prior: 0!
A DiscoRigido is xxxxxxxxx.

Instance Variables
!

DiscoRigido class
	uses: TSiemprePuedeJugar classTrait + TConsumoRigido classTrait
	instanceVariableNames: ''!

!DiscoRigido methodsFor: 'methods' stamp: 'Gonzalo 4/19/2013 00:53'!
dameConsumo
^ self esMagnetico ifTrue: [self rpm * self wattPorHora/ self wattPorHora]
     ifFalse: [self wattPorHora]! !

!DiscoRigido methodsFor: 'self requirement' stamp: 'Gonzalo 4/19/2013 01:08'!
esMagnetico
 ^esMagnetico.! !

!DiscoRigido methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 00:23'!
esMagnetico: obj
esMagnetico := obj.! !

!DiscoRigido methodsFor: 'self requirement' stamp: 'Gonzalo 4/19/2013 01:09'!
rpm
^rpm.! !

!DiscoRigido methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 00:22'!
rpm: obj
rpm := obj.! !

!DiscoRigido methodsFor: 'self requirement' stamp: 'Gonzalo 4/19/2013 01:06'!
wattPorHora
^wattPorHora.! !

!DiscoRigido methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 00:28'!
wattPorHora: obj
wattPorHora  := obj.! !

Object subclass: #Entrada
	uses: TTasaRefresco
	instanceVariableNames: 'definicion tasaRefresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!Entrada commentStamp: '<historical>' prior: 0!
An Entrada is xxxxxxxxx.

Instance Variables
	definicion:		<Object>
	tasaRefresco:		<Object>

definicion
	- xxxxx

tasaRefresco
	- xxxxx
!

Entrada class
	uses: TTasaRefresco classTrait
	instanceVariableNames: ''!

!Entrada methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 01:58'!
definicion
	^ definicion! !

!Entrada methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 01:58'!
definicion: anObject
	definicion := anObject! !

!Entrada methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 01:58'!
tasaRefresco
	^ tasaRefresco! !

!Entrada methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 01:58'!
tasaRefresco: anObject
	tasaRefresco := anObject! !

Entrada subclass: #EntradaModerna
	uses: TConsumoPorcentual
	instanceVariableNames: 'porcentaje'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!EntradaModerna commentStamp: '<historical>' prior: 0!
An EntradaModerna is xxxxxxxxx.

Instance Variables
	porcentaje:		<Object>

porcentaje
	- xxxxx
!

EntradaModerna class
	uses: TConsumoPorcentual classTrait
	instanceVariableNames: ''!

EntradaModerna subclass: #AV
	uses: TEntradaInicializador + TTasaRefrescoInicializador
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!AV commentStamp: '<historical>' prior: 0!
An AV is xxxxxxxxx.

Instance Variables
!

AV class
	uses: TEntradaInicializador classTrait + TTasaRefrescoInicializador classTrait
	instanceVariableNames: ''!

!AV methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:42'!
porcentajeInicial
^10.! !

!EntradaModerna methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 02:13'!
porcentaje
	^ porcentaje! !

!EntradaModerna methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 02:13'!
porcentaje: anObject
	porcentaje := anObject! !

EntradaModerna subclass: #HDMI
	uses: TEntradaInicializador
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!HDMI commentStamp: '<historical>' prior: 0!
A HDMI is xxxxxxxxx.

Instance Variables
!

HDMI class
	uses: TEntradaInicializador classTrait
	instanceVariableNames: ''!

!HDMI methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:52'!
initialize
self initializePorcentaje.! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:47'!
porcentajeInicial
^20.! !

EntradaModerna subclass: #RF
	uses: TEntradaInicializador + TTasaRefrescoInicializador
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!RF commentStamp: '<historical>' prior: 0!
A RF is xxxxxxxxx.

Instance Variables
!

RF class
	uses: TEntradaInicializador classTrait + TTasaRefrescoInicializador classTrait
	instanceVariableNames: ''!

!RF methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:53'!
dameConsumoCon: unaPantalla
^self porcentaje.! !

!RF methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:43'!
porcentajeInicial
^0.! !

Entrada subclass: #VGA
	uses: TConsumoAleatorio + TTasaRefrescoInicializador
	instanceVariableNames: 'wattsPorHora'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!VGA commentStamp: '<historical>' prior: 0!
A VGA is xxxxxxxxx.

Instance Variables
	wattsPorHora:		<Object>

wattsPorHora
	- xxxxx
!

VGA class
	uses: TConsumoAleatorio classTrait + TTasaRefrescoInicializador classTrait
	instanceVariableNames: ''!

!VGA methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:19'!
initialize
self wattsPorHora: 1/1000.
self initializeTasaRefresco.! !

!VGA methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:14'!
tasaRefrescoInicial
^120.! !

!VGA methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 02:08'!
wattsPorHora
	^ wattsPorHora! !

!VGA methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 02:08'!
wattsPorHora: anObject
	wattsPorHora := anObject! !

Object subclass: #Pantalla
	uses: TTasaRefresco + TConsumoPantalla + TConexion
	instanceVariableNames: 'esTv ppp tamanio tasaRefresco wattsPorHora entrada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!Pantalla commentStamp: '<historical>' prior: 0!
A Pantalla is xxxxxxxxx.

Instance Variables
	esTv:		<Object>
	ppp:		<Object>
	tamanio:		<Object>
	tasaRefresco:		<Object>
	wattsPorHora:		<Object>

esTv
	- xxxxx

ppp
	- xxxxx

tamanio
	- xxxxx

tasaRefresco
	- xxxxx

wattsPorHora
	- xxxxx
!

Pantalla class
	uses: TTasaRefresco classTrait + TConsumoPantalla classTrait + TConexion classTrait
	instanceVariableNames: ''!

Pantalla subclass: #CRT
	uses: TDefinicionAnalogica
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!CRT commentStamp: '<historical>' prior: 0!
A CRT is xxxxxxxxx.

Instance Variables
!

CRT class
	uses: TDefinicionAnalogica classTrait
	instanceVariableNames: ''!

!CRT methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:02'!
initialize 
	"comment stating purpose of message"
	self wattsPorHora: 5.! !

Pantalla subclass: #LCD
	uses: TDefinicionDigital
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!LCD commentStamp: '<historical>' prior: 0!
A LCD is xxxxxxxxx.

Instance Variables
!

LCD class
	uses: TDefinicionDigital classTrait
	instanceVariableNames: ''!

!LCD methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:02'!
initialize 
	"comment stating purpose of message"
	self wattsPorHora: 4.! !

Pantalla subclass: #LED
	uses: TDefinicionDigital
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!LED commentStamp: '<historical>' prior: 0!
A LED is xxxxxxxxx.

Instance Variables
!

LED class
	uses: TDefinicionDigital classTrait
	instanceVariableNames: ''!

!LED class methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 04:45'!
damePantallaComoSmartTV: ppp deTamanio:tamanio
	"Crea una pantalla inicializada como monitor"
	| unaPantalla |
	unaPantalla := self damePantalla: ppp deTamanio: tamanio.
	unaPantalla tasaRefresco: 180.
	^unaPantalla.
! !

!LED methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 05:02'!
initialize 
	"comment stating purpose of message"
	self wattsPorHora: 1.! !

!Pantalla class methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 04:49'!
damePantalla: ppp deTamanio: tamanio
	|  unaPantalla |
	unaPantalla := self new.
	unaPantalla ppp: ppp.
	unaPantalla tamanio: tamanio.
	^unaPantalla.! !

!Pantalla class methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 04:42'!
damePantallaComoMonitor: ppp deTamanio:tamanio
	"Crea una pantalla inicializada como monitor"
	| unaPantalla |
	unaPantalla := self damePantalla: ppp deTamanio: tamanio.
	unaPantalla tasaRefresco: 120.
	^unaPantalla.
! !

!Pantalla class methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/19/2013 04:45'!
damePantallaComoTV: ppp deTamanio:tamanio
	"Crea una pantalla inicializada como tv"
	| unaPantalla |
	unaPantalla := self damePantalla: ppp deTamanio: tamanio.
	unaPantalla tasaRefresco: 90.
	^unaPantalla.
! !

!Pantalla methodsFor: 'accessing' stamp: 'Gonzalo 4/18/2013 23:26'!
entrada
^entrada.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:28'!
entrada: unaEntrada

entrada:= unaEntrada.! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
esTv
	
	^ esTv! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
esTv: anObject
	
	esTv := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
ppp
	
	^ ppp! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
ppp: anObject
	
	ppp := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
tamanio
	
	^ tamanio! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
tamanio: anObject
	
	tamanio := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
tasaRefresco
	
	^ tasaRefresco! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
tasaRefresco: anObject
	
	tasaRefresco := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
wattsPorHora
	
	^ wattsPorHora! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
wattsPorHora: anObject
	
	wattsPorHora := anObject! !

Object subclass: #PlacaDeVideo
	uses: TConsumoCoolers
	instanceVariableNames: 'wattsPorHora definicion cantCoolers pantalla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!PlacaDeVideo commentStamp: '<historical>' prior: 0!
A PlacaDeVideo is xxxxxxxxx.

Instance Variables
	cantCoolers:		<Object>
	definicion:		<Object>
	wattPorHora:		<Object>

cantCoolers
	- xxxxx

definicion
	- xxxxx

wattPorHora
	- xxxxx
!

PlacaDeVideo class
	uses: TConsumoCoolers classTrait
	instanceVariableNames: ''!

PlacaDeVideo subclass: #Clasica
	uses: TPlacaClasica - {#dameConsumoCoolers}
	instanceVariableNames: 'esOnBoard'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!Clasica commentStamp: '<historical>' prior: 0!
A Clasica is xxxxxxxxx.

Instance Variables
	esOnBoard:		<Object>
	pantalla:		<Object>

esOnBoard
	- xxxxx

pantalla
	- xxxxx
!

Clasica class
	uses: TPlacaClasica classTrait
	instanceVariableNames: ''!

!Clasica methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:22'!
cantCoolers: obj
cantCoolers := obj.! !

!Clasica methodsFor: 'metodosPropios' stamp: 'Gonzalo 4/19/2013 00:54'!
esAptaParaJugar
^ self esOnBoard not and:  (self pantalla definicion ln) / self dameConsumo > 4! !

!Clasica methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:23'!
wattsPorHora
^wattsPorHora.! !

!Clasica methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:23'!
wattsPorHora: obj
wattsPorHora := obj.! !

PlacaDeVideo subclass: #Moderna
	uses: TSiemprePuedeJugar + TConsumoPlacaModerna - {#pantalla. #wattsPorHora}
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!Moderna commentStamp: '<historical>' prior: 0!
A Moderna is xxxxxxxxx.

Instance Variables
!

Moderna class
	uses: TSiemprePuedeJugar classTrait + TConsumoPlacaModerna classTrait
	instanceVariableNames: ''!

!Moderna methodsFor: 'methods' stamp: 'Gonzalo 4/19/2013 01:41'!
dameConsumo
	^(self dameConsumoCon: self pantalla) + self dameConsumoCoolers! !

!Moderna methodsFor: 'selfRequirements' stamp: 'Gonzalo 4/19/2013 01:15'!
dameConsumoCoolers 
self requeriment.! !

!PlacaDeVideo methodsFor: 'self requirement' stamp: 'Gonzalo 4/19/2013 01:20'!
cantCoolers
 ^cantCoolers.! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:37'!
cantCoolers: obj
cantCoolers := obj.! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:24'!
definicion
^definicion.! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:24'!
definicion: unaDef
definicion := unaDef.! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:12'!
pantalla
^pantalla! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:25'!
pantalla: unaPantalla
pantalla  := unaPantalla .! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:30'!
wattsPorHora
^wattsPorHora.! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/19/2013 01:30'!
wattsPorHora: obj
wattsPorHora := obj.! !
